%global _hardened_build 1

Name:           u2f-hidraw-policy
Version:        1.0.2
Release:        1%{?dist}
Summary:        Udev rule to allow desktop access to HIDRAW U2F tokens

License:        LGPLv2+
URL:            https://github.com/amluto/u2f-hidraw-policy/
Source0:        https://github.com/amluto/%{name}/archive/%{version}.tar.gz

# We need the udev libraries and the _udevrulesdir macro
BuildRequires:  systemd systemd-devel

# systemd owns /usr/lib/udev/rules.d
Requires:       systemd

%description
u2f-hidraw-policy is a udev helper that detects U2F HID tokens as described
by the U2F spec.


%prep
%setup -q

%build
%make_build CFLAGS="%{optflags} %{__global_ldflags}"

%install
make install DESTDIR="%{buildroot}/usr"

%files
%{_udevrulesdir}/60-u2f-hidraw.rules
%{_udevrulesdir}/../u2f_hidraw_id

%license LICENSE
%doc README.md

%changelog
* Fri Oct 30 2015 Andy Lutomirski <luto@mit.edu> - 1.0.2-1
- New version, simplifying packaging
- Harden the build

* Mon Oct 19 2015 Andy Lutomirski <luto@mit.edu> - 1.0.1-1
- New version, fixing LICENSE

* Mon Oct 19 2015 Andy Lutomirski <luto@kernel.org> - 1.0-1
- New package
